---
import Section from './Section.astro';
import companies from './../data/companies.json';
let response = await fetch('https://dapi.escuelaideo.edu.es/enap/items/companies?fields=name,organizador,logo.filename_disk,logo.private_hash,website');

let data = await response.json();
let baseUrl = 'https://s3.escuelaideo.edu.es/d/enap/thumbnails/';
let imageFormat = 'w624,h360,fcontain,q80';
let listClass = "flex flex-col justify-center items-center sm:grid sm:grid-cols-4 gap-8 mt-4";

---
<Section title="Organizadores" anchor="organizadores" class="bg-gray-200 pt-8 pb-32 mb-16">
    <div class="flex flex-col justify-center items-center sm:grid sm:grid-cols-3 gap-8 mt-4">
    { companies.filter(comp => comp.organizador.includes("organizador")).map(company => {
        return ( <div>
            <a href={company.website} target="_blank">
                <img src={ company.image }
                alt={company.name}/>
            </a>
        </div> )
    })}
    </div>
</Section>

<Section title="Colaboradores" anchor="colaboradores" class="">
    <div class={listClass}>
    { companies.filter(comp => comp.organizador.includes("colaborador")).map(company => {
        return ( <div>
            <a href={company.website} target="_blank">
                <img src={ company.image }
                alt={company.name}/>
            </a>
        </div> )
    })}
    </div>
</Section>